tosca_definitions_version: tosca_simple_yaml_1_3
metadata:
  invariantUUID: 98121bd9-7100-465b-939c-2092735ae83f
  UUID: 0dad9fdf-145f-4e8b-a8e5-fb3925aeef21
  name: service-ESTU-683
  description: Description
  model: ETSI SOL001 v2.5.1
  category: ETSI NFV Network Service
  type: Service
  serviceType: Service Type
  serviceRole: Service Role
  serviceFunction: Service Function
  environmentContext: General_Revenue-Bearing
  template_version: '0.1'
  instantiationType: Macro
  ecompGeneratedNaming: false
  namingPolicy: ''
  ETSI Version: 2.5.1
imports:
- etsi_nfv_sol001_nsd_types:
    file: etsi_nfv_sol001_nsd_types.yaml
- etsi_nfv_sol001_vnfd_types:
    file: etsi_nfv_sol001_vnfd_types.yaml
- service-service-ESTU-683-interface:
    file: service-ServiceEstu683-template-interface.yml
- resource-VNF:
    file: resource-Vnf-template.yml
- resource-VnfVirtualLink:
    file: resource-Vnfvirtuallink-template.yml
- resource-VNF External CP:
    file: resource-VnfExternalCp-template.yml
- resource-Cp:
    file: resource-Cp-template.yml
topology_template:
  node_templates:
    VNF External CP 0:
      type: tosca.nodes.nfv.VnfExtCp
      metadata:
        invariantUUID: 593d7840-cd04-4436-a9e7-ea62d54801bc
        UUID: 29d051f0-491c-4811-b641-47ed2d57c5e4
        name: VNF External CP
        description: Describes a logical external connection point, exposed by the
          VNF enabling connection with an external Virtual Link
        model: ETSI SOL001 v2.5.1
        category: Generic
        version: '1.0'
        customizationUUID: 26ec4a46-78f5-49cb-bcba-01b3047d65ce
        type: CP
        subcategory: Infrastructure
        resourceVendor: ONAP (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        reourceVendorModelNumber: ''
      properties:
        role:
          get_attribute:
          - SELF
          - descriptor_id
    VnfVirtualLink 0:
      type: tosca.nodes.nfv.VnfVirtualLink
      metadata:
        invariantUUID: 0cd89ff4-c5b7-4361-8ca0-02513b71b24d
        UUID: 271663a4-6c5b-4000-89d0-66dac72d04ce
        name: VnfVirtualLink
        description: Describes the information about an internal VNF VL
        model: ETSI SOL001 v2.5.1
        category: Generic
        version: '1.0'
        customizationUUID: 6943ab09-3d3b-49a0-8ba1-5d46ccbe03f9
        type: VL
        subcategory: Infrastructure
        resourceVendor: ONAP (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        reourceVendorModelNumber: ''
      properties:
        test_access:
        - get_property:
          - VNF 0
          - default_localization_language
    VNF 0:
      type: tosca.nodes.nfv.VNF
      metadata:
        invariantUUID: d73e35e9-86de-431e-85cb-5fcb3abe545b
        UUID: e111fb95-7ca6-4929-9ed1-6185d51c00c9
        name: VNF
        description: The generic abstract type from which all VNF specific abstract
          node types shall be derived to form, together with other node types, the
          TOSCA service template(s) representing the VNFD
        model: ETSI SOL001 v2.5.1
        category: Generic
        version: '1.0'
        customizationUUID: a7d6d88e-ea14-409d-a4ec-75079c3cda4f
        type: VFC
        subcategory: Infrastructure
        resourceVendor: ONAP (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        reourceVendorModelNumber: ''
      properties:
        flavour_id:
          get_property:
          - SELF
          - invariant_id
        lcm_operations_configuration:
          scale:
            scaling_by_more_than_one_step_supported: false
  groups:
    serviceestu683..PlacementGroup..0:
      type: tosca.groups.nfv.PlacementGroup
      members:
      - VNF External CP 0
      - VnfVirtualLink 0
      - VNF 0
      metadata:
        invariantUUID: d34119b7-a08e-48fe-b625-2149baa04df8
        UUID: c47d20e3-798a-42b1-bc11-b1d423ac0ab1
        version: '0.1'
        name: serviceestu683..PlacementGroup..0
  policies:
    serviceestu683..VduInitialDelta..1:
      type: tosca.policies.nfv.VduInitialDelta
      metadata:
        invariantUUID: 3bb3f520-8be3-4ed9-aed0-e6b826a2c400
        UUID: de143518-3843-47a6-8a2c-2bada76592f0
        version: '1.1'
        name: serviceestu683..VduInitialDelta..1
      targets:
      - serviceestu683..PlacementGroup..0
    serviceestu683..SupportedVnfInterface..0:
      type: tosca.policies.nfv.SupportedVnfInterface
      metadata:
        invariantUUID: 08d86740-8eb8-4655-9aa3-6ae55659b525
        UUID: c5afb5df-172d-4b5a-bdd4-585b796efd7c
        version: '1.1'
        name: serviceestu683..SupportedVnfInterface..0
      targets:
      - VNF 0
  substitution_mappings:
    node_type: org.openecomp.service.ServiceEstu683
